For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddWABPhoneNumber
        • POSTDeleteWABPhoneNumber
        • POSTSetWABPhoneNumberInfo
        • POSTGetWABPhoneNumbers
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceWab Phone Numbers

GetWABPhoneNumbers

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetWABPhoneNumbers
POST
/platform_api/GetWABPhoneNumbers
$curl -X POST https://api.voximplant.com/platform_api/GetWABPhoneNumbers \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "wab_phone_number": "12126367890",
5 "country_code": "US",
6 "modified": "2025-08-19 11:25:02",
7 "creared": "2025-08-19 11:20:01"
8 },
9 {
10 "wab_phone_number": "12126367891",
11 "country_code": "US",
12 "application_id": 1234,
13 "application_name": "myapp.myaccount.voximplant.com",
14 "extended_application_name": "myapp.myaccount.n1.voximplant.com",
15 "description": "My number",
16 "modified": "2025-08-19 11:25:04",
17 "creared": "2025-08-19 11:20:03"
18 },
19 {
20 "wab_phone_number": "12126367891",
21 "country_code": "US",
22 "application_id": 1234,
23 "application_name": "myapp.myaccount.voximplant.com",
24 "rule_id": 5467,
25 "rule_name": "myrule",
26 "extended_application_name": "myapp.myaccount.n1.voximplant.com",
27 "description": "My number",
28 "modified": "2025-08-19 11:25:06",
29 "creared": "2025-08-19 11:20:05"
30 }
31 ],
32 "total_count": 3,
33 "count": 3
34}

Gets the account’s WhatsApp Business phone numbers.

Allowed roles: Owner, Admin, Developer, Supervisor, Accountant, Support, Payer.

Was this page helpful?
Previous

SetWABPhoneNumberInfo

Next

DelCallerID

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

wab_phone_numberstringOptional
WhatsApp Business phone number
application_idintegerOptional
Application ID that is bound to the WhatsApp Business phone number
application_namestringOptional

Bound application name that can be used instead of application_id

country_codestringOptional

Country code filter (2 symbols) for the WhatsApp Business phone number

countintegerOptionalDefaults to 100
Maximum returning records count
offsetintegerOptionalDefaults to 0
Number of records to be skipped in the result

Response

Successful response
resultlist of objects
WhatsApp Business phone numbers info
total_countinteger
Number of total records found
countinteger
Number of returned records

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.